### Method

# SpiceClientGLib SmartcardManager insert_card

since: 0.7

#### Declaration [src]

    gboolean
    spice_smartcard_manager_insert_card (
      SpiceSmartcardManager* manager
    )

#### Description [src]

Simulates the insertion of a smartcard in the guest. Valid certificates must have been set in `SpiceSession:smartcard-certificates` for software smartcard support to work. At the moment, only one software smartcard reader is supported, that’s why there is no parameter to indicate which reader to insert the card in.

Available since: 0.7

#### Return value

Type: `gboolean`

TRUE if smartcard insertion was successfully simulated, FALSE if this failed, or if software smartcard support isn’t enabled.